Page MenuHomePhabricator

Create safety check for new Ingenico Connect recurring
Closed, ResolvedPublic

Description

Similar to what the Globalcollect recurring has, do a sanity check that the next recurring charge date is indeed about a month from the last successfully charged donation.

Event Timeline

Ejegg created this task.Dec 8 2019, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2019, 8:43 PM
Cstone claimed this task.Jan 22 2020, 5:44 PM
.Nafees791 renamed this task from Create safety check for new Ingenico Connect recurring to for.Jan 23 2020, 4:17 AM
.Nafees791 removed Cstone as the assignee of this task.
.Nafees791 triaged this task as Low priority.
.Nafees791 edited subscribers, added: Cstone; removed: Aklapper, Ejegg.
DannyS712 renamed this task from for to Create safety check for new Ingenico Connect recurring.Jan 23 2020, 5:16 AM
DannyS712 assigned this task to Cstone.
DannyS712 edited subscribers, added: Aklapper, Ejegg; removed: Cstone.
Aklapper raised the priority of this task from Low to Needs Triage.Jan 23 2020, 10:18 AM

Change 566909 had a related patch set uploaded (by Cstone; owner: Cstone):
[wikimedia/fundraising/crm@master] WIP: Add catch for two recurring payments happening in one month.

https://gerrit.wikimedia.org/r/566909

Change 566909 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add catch for two recurring payments happening in one month.

https://gerrit.wikimedia.org/r/566909

Cstone moved this task from Done to Review on the Fundraising Sprint Dampness board.
Cstone closed this task as Resolved.Mar 17 2020, 7:52 PM